function [ labeledim ] = getconnectedelem( filename,thresh )
%GETCONNECTEDELEM Summary of this function goes here
%   Detailed explanation goes here

   

    numthresh=length(thresh);

   
   score= imread(filename,'tif');
   score=medfilt2(double(score)/255.0/255.0*40.0-20.0,[5 5]);

   labeledim=zeros([size(score) numthresh]);
   
   for k=1:numthresh,
      labeledim(:,:,k)=bwlabel(score<thresh(k));

   end


end
