//mex support 
#include "mex.h"

#include <string.h>

//Matlab entry point
void mexFunction( int nlhs, mxArray *plhs[],
                        int nrhs, const mxArray *prhs[]){
                            
    //verify input

    if(nrhs!=1)
        mexErrMsgTxt("A single input is requried by anorm_opt.cpp");
    if(!mxIsClass(prhs[0],"double"))
        mexErrMsgTxt("Input expected to be double");
    if(nlhs!=1)
        mexErrMsgTxt("One output is required");
    
    
    
     mwSize *inSize= (mwSize *)mxGetDimensions(prhs[0]); 
    
    
    
    plhs[0]=mxCreateDoubleMatrix(inSize[0]*inSize[1]*inSize[2],1,mxREAL);
    
    if(!plhs[0])
        mexErrMsgTxt("Could not allocate bugger memory\n");
    
    double * outputPr=(double *)mxGetData(plhs[0]);
    int cpySize = (inSize[0]*inSize[1]*inSize[2]*mxGetElementSize(plhs[0]));
    memcpy(outputPr,(mxGetPr(prhs[0])),cpySize);

 
    
}