function [ ave ] = makeaverageimg( varargin )
%MAKEAVERAGEIMG takes a stack of images from 3d matrix or reads from folder_in of file type file_type
%and generates a gain control average image

if length(varargin)==1,
    im=varargin{1};
elseif length(varargin)==2,
    im=loadimage(varargin{1},varargin{2});
else
    error('Expecting input either makeaverageimg(im) or makeaverageimg(folder,filetype');
end
s=size(im);

ave=0;
for j=1:s(3),
    temp=double(im(:,:,j));
    ave=ave+(temp-mean(temp(:)))/std(temp(:));
end

