function [ imch1 ] = loadstack( fileName )

if strcmpi(fileName((end-2):end),'tif'),
    imf=imfinfo(fileName);
    numFrames = length(imf);
    imch1=zeros(imf(1).Height,imf(1).Width,numFrames,'uint16');
    for i = 1:numFrames,
        imch1(:,:,i) = 	uint16(imread(fileName,i));
    end
elseif strcmpi(fileName((end-2):end),'mdp'),
    d = mp2mat(fileNamef);
    imch1 = d.Ch1;
else
    error('Cannot load stack'); 
end
